# Nop

## Synopsis

action name: `nop`

Logs a message

This action logs a message and is intended for testing only.

## Configuration

Action parameters:

parameter | type | required | description
--- | --- | --- | ---
`message` | string | yes | The actual message that will be logged
`skip_pre_condition` | boolean | no | Skip pre-condition check (default: false)
`fail_pre_condition` | boolean | no | Force pre-condition to fail (default: false)
`fail_execute` | boolean | no | Force execute to fail (default: false)
`fail_post_condition` | boolean | no | Force post-condition to fail (default: false)

this page last updated: 2026-04-01 21:51:00

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.

found an error? report a bug